Bug 225557 - Amarok hangs when opening ScriptManager
Summary: Amarok hangs when opening ScriptManager
Status: RESOLVED DUPLICATE of bug 213068
Alias: None
Product: amarok
Classification: Applications
Component: Tools/Script Manager (show other bugs)
Version: 2.3.1
Platform: OpenSUSE Linux
: HI normal with 40 votes (vote)
Target Milestone: 2.3.2
Assignee: Amarok Developers
URL:
Keywords:
: 226074 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-02-04 23:08 UTC by Christian Hartmann
Modified: 2010-06-10 11:16 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Debug output of amarok -d --nofork (139.37 KB, text/plain)
2010-02-04 23:08 UTC, Christian Hartmann
Details
Test script that simply displays a message in start up (447 bytes, application/x-compressed-tar)
2010-03-04 16:32 UTC, Martin Höher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Hartmann 2010-02-04 23:08:03 UTC
Created attachment 40535 [details]
Debug output of amarok -d --nofork

When I open ScriptManager Amarok hangs on one cpu core with 100 % and only reacts very very slowly for one or two clicks. If I get to click the "ok" button and the window closes, amarok's cpu usage goes back to normal.

It also hangs with all the installed scripts deactivated, but then I can perform two to three clicks before it gets unusable.

I'm using 2.2.2 from openSUSE's KDE4:Factory repository with KDE SC 4.4 RC3 installed.

Attached is a debug output.
Comment 1 Myriam Schweingruber 2010-02-09 22:54:51 UTC
*** Bug 226074 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2010-02-09 22:55:40 UTC
Confirmed by duplicate.
Comment 3 auxsvr 2010-03-01 19:25:28 UTC
I have the same problem here (amarok 2.2.2 from opensuse factory). Script manager freezes shortly after opening. If I click "OK" before it freezes, it may take a couple of minutes to close.
Comment 4 Myriam Schweingruber 2010-03-02 10:38:00 UTC
Output from the OP:
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "ultimate_lyrics" : Accessing  "http://amarok.kde.org/scriptupdates/ultimate_lyrics/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0031s 
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "shoutcast_service" : Accessing  "http://amarok.kde.org/scriptupdates/shoutcast_service/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0024s 
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "free_music_charts_service" : Accessing  "http://amarok.kde.org/scriptupdates/free_music_charts_service/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0024s 
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "radio_station_service" : Accessing  "http://amarok.kde.org/scriptupdates/radio_station_service/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0027s 
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "script_console" : Accessing  "http://amarok.kde.org/scriptupdates/script_console/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0033s 
amarok: BEGIN: void CurrentEngine::resultReady(const QString&, const Meta::AlbumList&) 
amarok: END__: void CurrentEngine::resultReady(const QString&, const Meta::AlbumList&) - Took 0.00031s 
amarok: BEGIN: void CurrentEngine::resultReady(const QString&, const Meta::TrackList&) 
amarok: END__: void CurrentEngine::resultReady(const QString&, const Meta::TrackList&) - Took 0.00023s 
amarok: BEGIN: void CurrentEngine::setupTracksData() 
amarok: END__: void CurrentEngine::setupTracksData() - Took 0.00028s 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("trash:/")
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::instance: instance(): ... initialised
amarok(6447)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readConfig: readConfig(): local zone= "Europe/Berlin"
amarok(6447)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readZoneTab: readZoneTab( "/usr/share/zoneinfo/zone.tab" )
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "lyrics_lyricwiki" : Accessing  "http://amarok.kde.org/scriptupdates/lyrics_lyricwiki/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0035s 
amarok: BEGIN: void ScriptUpdater::updateScript() 
amarok:   [ScriptUpdater] "librivox_service" : Accessing  "http://amarok.kde.org/scriptupdates/librivox_service/version"  ... 
amarok: END__: void ScriptUpdater::updateScript() - Took 0.0058s 
amarok: BEGIN: void Albums::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok:    Received 5 albums 
amarok: END__: void Albums::dataUpdated(const QString&, const QHash<QString, QVariant>&) - Took 0.46s 
amarok: BEGIN: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) - Took 0.0018s 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.HJ6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokgc6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.oq6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokQG6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.me6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokXD6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.YG6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokke6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.ZK6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokGV6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/qt_temp.jt6447")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokDi6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/ultimate_lyrics/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokbr6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/shoutcast_service/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokLP6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/free_music_charts_service/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amaroktn6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/radio_station_service/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokyx6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/script_console/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokNa6447.slave-socket"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/lyrics_lyricwiki/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amaroknX6447.slave-socket"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "http" for KUrl("http://amarok.kde.org/scriptupdates/librivox_service/version")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokDS6447.slave-socket"
"OK
8a70e5353a17458f90fa750fed2bfa90
http://post.audioscrobbler.com:80/np_1.2
http://post2.audioscrobbler.com:80/protocol_1.2" 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/ultimate_lyrics/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6366 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Ultimate Lyrics"   "1.84"   "Lyrics"   "Amarok2.0" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0059s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0066s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.0074s 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/shoutcast_service/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6410 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "SHOUTcast Service tralala"   "1.0"   "Scriptable Service"   "Amarok2.0.1" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0042s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0061s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.0072s 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/free_music_charts_service/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6471 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Free Music Charts"   "1.3.3"   "Scriptable Service"   "Amarok2.2" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0083s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0095s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.011s 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/radio_station_service/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6472 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Cool Streams"   "1.0"   "Scriptable Service"   "Amarok2.0" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0085s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0096s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.011s 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/script_console/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6473 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Amarok Script Console"   "1.0"   "Generic"   "Amarok2.0" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0038s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0051s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.0062s 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok: BEGIN: void LastFmServiceCollection::slotAddFriendsLoved() 
amarok: END__: void LastFmServiceCollection::slotAddFriendsLoved() - Took 0.036s 
amarok: BEGIN: void LastFmService::onGetUserInfo() 
amarok:    profile info  "DE"   "25"   "m"   "5444"   true 
amarok:    profile avatar:  "http://userserve-ak.last.fm/serve/126/10155007.jpg" 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokqdCksu/"
amarok: END__: void LastFmService::onGetUserInfo() - Took 0.0026s 
amarok(6447)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/kde-chris/amarokqdCksu/10155007.jpg")
amarok(6447)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-chris/amarokkL6447.slave-socket"
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/lyrics_lyricwiki/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6474 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Lyricwiki"   ".2"   "Lyrics"   "Amarok2.0" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0037s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 0.0043s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 0.0067s 
amarok(6447)/kio (KIOJob) KIO::SlaveInterface::dispatch: error  111   "http://amarok.kde.org/scriptupdates/librivox_service/version"
amarok(6447)/kio (Slave) KIO::Slave::kill: killing slave pid 6475 ( "file://" )
amarok: BEGIN: void ScriptUpdater::phase2(KJob*) 
amarok:   BEGIN: void ScriptManager::updaterFinished(QString) 
amarok:     BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:       [ScriptManager] script info: "Librivox.org"   "1.0"   "Scriptable Service"   "Amarok2.0" 
amarok:     END__: bool ScriptManager::loadScript(const QString&) - Took 0.0026s 
amarok:     BEGIN: void ScriptManager::findScripts() 
amarok:       BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(6447)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfffb6e0
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "Amarok Script Console"
amarok:       END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.04s 
amarok:       BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(6447)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfffb6e0
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "LyricWiki"
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "Ultimate Lyrics"
amarok:       END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.075s 
amarok:       BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(6447)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0xbfffb6e0
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "Cool Streams"
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "Free Music Charts"
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "Librivox.org"
amarok(6447)/kdecore (KPluginInfo): found  0  offers for  "SHOUTcast Service tralala"
amarok:       END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.15s 
amarok:       BEGIN: void ScriptManager::slotConfigChanged(bool) 
amarok:         BEGIN: void ScriptManager::slotConfigChanged(bool) 
amarok:         END__: void ScriptManager::slotConfigChanged(bool) - Took 0.00038s 
amarok:         BEGIN: bool ScriptManager::slotRunScript(QString, bool) 
amarok:           BEGIN: void ScriptManager::startScriptEngine(QString) 
amarok:             BEGIN: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) 
amarok:             END__: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) - Took 0.00072s 
amarok:             BEGIN: Downloader::Downloader(QScriptEngine*) 
amarok:             END__: Downloader::Downloader(QScriptEngine*) - Took 0.00046s 
amarok:           END__: void ScriptManager::startScriptEngine(QString) - Took 0.0043s 
amarok:           BEGIN: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) 
amarok:             BEGIN: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) 
amarok:                initializing scripted service:  "Cool Streams" 
amarok:               BEGIN: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) 
amarok:               END__: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) - Took 0.012s 
amarok:               BEGIN: ScriptableService::ScriptableService(const QString&) 
amarok:                  creating ScriptableService  "Cool Streams" 
amarok:               END__: ScriptableService::ScriptableService(const QString&) - Took 0.00045s 
amarok:               BEGIN: void ScriptableService::init(int, const QString&, bool) 
amarok:                 BEGIN: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) 
amarok:                 END__: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) - Took 0.00022s 
amarok:               END__: void ScriptableService::init(int, const QString&, bool) - Took 0.00085s 
amarok:                emitting scripted service  "Cool Streams" 
amarok:               BEGIN: void ServiceBrowser::addService(ServiceBase*) 
amarok:               END__: void ServiceBrowser::addService(ServiceBase*) - Took 0.00038s 
amarok:             END__: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) - Took 0.016s 
amarok:           END__: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) - Took 0.016s 
amarok:           BEGIN: void ScriptableServiceScript::slotCustomize(const QString&) 
amarok:           END__: void ScriptableServiceScript::slotCustomize(const QString&) - Took 0.00026s 
amarok:         END__: bool ScriptManager::slotRunScript(QString, bool) - Took 0.028s 
amarok:         BEGIN: bool ScriptManager::slotRunScript(QString, bool) 
amarok:           BEGIN: void ScriptManager::startScriptEngine(QString) 
amarok:             BEGIN: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) 
amarok:             END__: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) - Took 0.00057s 
amarok:             BEGIN: Downloader::Downloader(QScriptEngine*) 
amarok:             END__: Downloader::Downloader(QScriptEngine*) - Took 0.00055s 
amarok:           END__: void ScriptManager::startScriptEngine(QString) - Took 0.004s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.core" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.11s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.gui" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.62s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.xml" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.17s 
amarok:            SCRIPT "Free Music Charts" :  "creating fmc service..." 
amarok:           BEGIN: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) 
amarok:             BEGIN: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) 
amarok:                initializing scripted service:  "Free Music Charts" 
amarok:               BEGIN: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) 
amarok:               END__: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) - Took 0.015s 
amarok:               BEGIN: ScriptableService::ScriptableService(const QString&) 
amarok:                  creating ScriptableService  "Free Music Charts" 
amarok:               END__: ScriptableService::ScriptableService(const QString&) - Took 0.0007s 
amarok:               BEGIN: void ScriptableService::init(int, const QString&, bool) 
amarok:                 BEGIN: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) 
amarok:                 END__: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) - Took 0.00056s 
amarok:               END__: void ScriptableService::init(int, const QString&, bool) - Took 0.0018s 
amarok:                emitting scripted service  "Free Music Charts" 
amarok:               BEGIN: void ServiceBrowser::addService(ServiceBase*) 
amarok:               END__: void ServiceBrowser::addService(ServiceBase*) - Took 0.00062s 
amarok:             END__: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) - Took 0.022s 
amarok:           END__: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) - Took 0.024s 
amarok:            SCRIPT "Free Music Charts" :  "done creating fmc service!" 
amarok:           BEGIN: bool AmarokScript::AmarokWindowScript::addToolsMenu(QString, QString, QString) 
amarok:           END__: bool AmarokScript::AmarokWindowScript::addToolsMenu(QString, QString, QString) - Took 0.001s 
amarok:           BEGIN: void ScriptableServiceScript::slotCustomize(const QString&) 
amarok:              SCRIPT "Free Music Charts" :  "customizing fmc service" 
amarok:              SCRIPT "Free Music Charts" :  "loading icon: /home/chris/.kde4/share/apps/amarok/scripts/free_music_charts_service/FMCIcon.png" 
amarok:             BEGIN: void ScriptableServiceManager::setIcon(const QString&, const QPixmap&) 
amarok:                service:  "Free Music Charts" 
amarok:             END__: void ScriptableServiceManager::setIcon(const QString&, const QPixmap&) - Took 0.00075s 
amarok:           END__: void ScriptableServiceScript::slotCustomize(const QString&) - Took 0.01s 
amarok:         END__: bool ScriptManager::slotRunScript(QString, bool) - Took 0.95s 
amarok:         BEGIN: bool ScriptManager::slotRunScript(QString, bool) 
amarok:           BEGIN: void ScriptManager::startScriptEngine(QString) 
amarok:             BEGIN: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) 
amarok:             END__: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) - Took 0.00062s 
amarok:             BEGIN: Downloader::Downloader(QScriptEngine*) 
amarok:             END__: Downloader::Downloader(QScriptEngine*) - Took 0.0015s 
amarok:           END__: void ScriptManager::startScriptEngine(QString) - Took 0.0065s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.core" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.069s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.xml" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.035s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.network" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.035s 
amarok:           BEGIN: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) 
amarok:              importing qt bindings  "qt.gui" 
amarok:           END__: bool AmarokScript::ScriptImporter::loadQtBinding(const QString&) - Took 0.15s 
amarok:           BEGIN: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) 
amarok:             BEGIN: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) 
amarok:                initializing scripted service:  "SHOUTcast Service tralala" 
amarok:               BEGIN: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) 
amarok:               END__: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) - Took 0.023s 
amarok:               BEGIN: ScriptableService::ScriptableService(const QString&) 
amarok:                  creating ScriptableService  "SHOUTcast Service tralala" 
amarok:               END__: ScriptableService::ScriptableService(const QString&) - Took 0.0011s 
amarok:               BEGIN: void ScriptableService::init(int, const QString&, bool) 
amarok:                 BEGIN: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) 
amarok:                 END__: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) - Took 0.00057s 
amarok:               END__: void ScriptableService::init(int, const QString&, bool) - Took 0.0016s 
amarok:                emitting scripted service  "SHOUTcast Service tralala" 
amarok:               BEGIN: void ServiceBrowser::addService(ServiceBase*) 
amarok:               END__: void ServiceBrowser::addService(ServiceBase*) - Took 0.00055s 
amarok:             END__: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) - Took 0.029s 
amarok:           END__: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) - Took 0.04s 
amarok:           BEGIN: void ScriptableServiceScript::slotCustomize(const QString&) 
amarok:              SCRIPT "SHOUTcast Service tralala" :  "customizing service.." 
amarok:             BEGIN: void ScriptableServiceManager::setIcon(const QString&, const QPixmap&) 
amarok:                service:  "SHOUTcast Service tralala" 
amarok:             END__: void ScriptableServiceManager::setIcon(const QString&, const QPixmap&) - Took 0.00052s 
amarok:           END__: void ScriptableServiceScript::slotCustomize(const QString&) - Took 0.0074s 
amarok:         END__: bool ScriptManager::slotRunScript(QString, bool) - Took 0.36s 
amarok:       END__: void ScriptManager::slotConfigChanged(bool) - Took 1.3s 
amarok:     END__: void ScriptManager::findScripts() - Took 1.6s 
amarok:   END__: void ScriptManager::updaterFinished(QString) - Took 1.6s 
amarok: END__: void ScriptUpdater::phase2(KJob*) - Took 1.6s 
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/10155007.jpg") 
amarok: BEGIN: void LastFmServiceCollection::slotAddNeighboursLoved() 
amarok: END__: void LastFmServiceCollection::slotAddNeighboursLoved() - Took 0.18s 
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokqdCksu/10155007.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokqdCksu/10155007.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokqdCksu/10155007.jpg.part")
amarok: BEGIN: void LastFmService::onAvatarDownloaded(QPixmap) 
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=de&method=user.getNeighbours&user=Chartman123" )  
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=de&method=user.getFriends&user=Chartman123" )  
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=de&method=user.getTopTags&user=Chartman123" )  
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=de&method=user.getTopArtists&user=Chartman123" )  
amarok:    0 
amarok: END__: void LastFmService::onAvatarDownloaded(QPixmap) - Took 0.14s 
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokqdCksu/"
amarok: BEGIN: void LastFmTreeModel::slotAddTags() 
amarok: END__: void LastFmTreeModel::slotAddTags() - Took 0.0012s 
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok: BEGIN: void LastFmTreeModel::slotAddFriends() 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokFXRTEX/"
amarok: END__: void LastFmTreeModel::slotAddFriends() - Took 0.0041s 
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/696522.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarok8WIt1q/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokFXRTEX/696522.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokFXRTEX/696522.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokFXRTEX/696522.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokFXRTEX/"
amarok: BEGIN: void LastFmTreeModel::slotAddTopArtists() 
amarok: END__: void LastFmTreeModel::slotAddTopArtists() - Took 0.024s 
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/11711797.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokdKjaFU/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarok8WIt1q/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarok8WIt1q/11711797.jpg.part") -> KUrl("file:///tmp/kde-chris/amarok8WIt1q/11711797.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarok8WIt1q/11711797.jpg.part")
amarok: BEGIN: void LastFmTreeModel::slotAddNeighbors() 
amarok: END__: void LastFmTreeModel::slotAddNeighbors() - Took 0.026s 
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/2686075.jpg") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokdKjaFU/2686075.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokdKjaFU/2686075.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokdKjaFU/2686075.jpg.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokQsOdAo/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokdKjaFU/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/40269093.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokVRjiGS/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokQsOdAo/40269093.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokQsOdAo/40269093.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokQsOdAo/40269093.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokQsOdAo/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/36137519.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokQvO0Zm/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokVRjiGS/36137519.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokVRjiGS/36137519.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokVRjiGS/36137519.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokVRjiGS/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/29520343.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokFii9AR/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokQvO0Zm/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokQvO0Zm/29520343.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokQvO0Zm/29520343.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokQvO0Zm/29520343.jpg.part")
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/12316159.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokU23Blm/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokFii9AR/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokFii9AR/12316159.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokFii9AR/12316159.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokFii9AR/12316159.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/1545046.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokxFiahR/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokU23Blm/1545046.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokU23Blm/1545046.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokU23Blm/1545046.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokU23Blm/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/35562777.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokQHlQnm/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokxFiahR/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokxFiahR/35562777.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokxFiahR/35562777.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokxFiahR/35562777.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/24186551.gif") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokQHlQnm/24186551.gif.part") -> KUrl("file:///tmp/kde-chris/amarokQHlQnm/24186551.gif")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokQHlQnm/24186551.gif.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokbZ24IR/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokQHlQnm/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/1795903.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokswMDgn/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokbZ24IR/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokbZ24IR/1795903.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokbZ24IR/1795903.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokbZ24IR/1795903.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/2980088.gif") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokswMDgn/2980088.gif.part") -> KUrl("file:///tmp/kde-chris/amarokswMDgn/2980088.gif")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokswMDgn/2980088.gif.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokf6kJWS/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokswMDgn/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/641980.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amaroksBk9Ro/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokf6kJWS/641980.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokf6kJWS/641980.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokf6kJWS/641980.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokf6kJWS/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/40354751.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokrtV6aV/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amaroksBk9Ro/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amaroksBk9Ro/40354751.jpg.part") -> KUrl("file:///tmp/kde-chris/amaroksBk9Ro/40354751.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amaroksBk9Ro/40354751.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/36448441.gif") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokrtV6aV/36448441.gif.part") -> KUrl("file:///tmp/kde-chris/amarokrtV6aV/36448441.gif")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokrtV6aV/36448441.gif.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarok0f5TJr/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokrtV6aV/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/10419731.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarok52YsqY/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarok0f5TJr/10419731.jpg.part") -> KUrl("file:///tmp/kde-chris/amarok0f5TJr/10419731.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarok0f5TJr/10419731.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarok0f5TJr/"
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokILG3gv/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarok52YsqY/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarok52YsqY/40147503.jpg.part") -> KUrl("file:///tmp/kde-chris/amarok52YsqY/40147503.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarok52YsqY/40147503.jpg.part")
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/25573129.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokFE6ok2/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokILG3gv/25573129.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokILG3gv/25573129.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokILG3gv/25573129.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokILG3gv/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/653445.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokC9I3Dz/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokFE6ok2/653445.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokFE6ok2/653445.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokFE6ok2/653445.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokFE6ok2/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/30572983.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokvqUb56/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokC9I3Dz/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokC9I3Dz/30572983.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokC9I3Dz/30572983.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokC9I3Dz/30572983.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/23506591.jpg") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokgFLNPE/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokvqUb56/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokvqUb56/23506591.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokvqUb56/23506591.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokvqUb56/23506591.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/6932783.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokPpOvPc/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokgFLNPE/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokgFLNPE/6932783.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokgFLNPE/6932783.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokgFLNPE/6932783.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/17020789.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokyF5n2K/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokPpOvPc/17020789.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokPpOvPc/17020789.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokPpOvPc/17020789.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokPpOvPc/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/21994361.png") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokyF5n2K/21994361.png.part") -> KUrl("file:///tmp/kde-chris/amarokyF5n2K/21994361.png")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokyF5n2K/21994361.png.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokTavrpj/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokyF5n2K/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/17966969.png") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokTavrpj/17966969.png.part") -> KUrl("file:///tmp/kde-chris/amarokTavrpj/17966969.png")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokTavrpj/17966969.png.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokgxQFWR/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokTavrpj/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/14499879.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokpWWEBq/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokgxQFWR/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokgxQFWR/14499879.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokgxQFWR/14499879.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokgxQFWR/14499879.jpg.part")
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/31102561.jpg") 
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokKzHwmZ/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokpWWEBq/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokpWWEBq/31102561.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokpWWEBq/31102561.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokpWWEBq/31102561.jpg.part")
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/16889479.jpg") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokKzHwmZ/16889479.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokKzHwmZ/16889479.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokKzHwmZ/16889479.jpg.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarok1yGxhy/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokKzHwmZ/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/29704627.jpg") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarok1yGxhy/29704627.jpg.part") -> KUrl("file:///tmp/kde-chris/amarok1yGxhy/29704627.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarok1yGxhy/29704627.jpg.part")
amarok(6447)/kdecore (kdelibs): KTempDir: Temporary directory created : "/tmp/kde-chris/amarokcjVDl7/"
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarok1yGxhy/"
amarok(6447)/kio (KIOJob) KIO::TransferJob::slotMimetype: mimetype() emitted again, or after sending first data!; job URL = KUrl("http://userserve-ak.last.fm/serve/126/41609617.jpg") 
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: KUrl("file:///tmp/kde-chris/amarokcjVDl7/41609617.jpg.part") -> KUrl("file:///tmp/kde-chris/amarokcjVDl7/41609617.jpg")
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileRenamed: Item not found: KUrl("file:///tmp/kde-chris/amarokcjVDl7/41609617.jpg.part")
amarok(6447)/kdecore (kdelibs): "/tmp/kde-chris/amarokcjVDl7/"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::processPendingUpdates: "/home/chris/amarok_debug.txt"
amarok(6447)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/home/chris/amarok_debug.txt"
Comment 5 Wolfgang Klein 2010-03-04 08:11:57 UTC
Same behaviour here on my machine: system load rises and rises, and finally Amarok has to be killed to make the system usable again.

Right now I am using Kubuntu 9.10, KDE 4.4 and vanilla kernel 2.6.33, but this problem occurred before, using KDE < 4.4 and kernel < 2.6.33.
Comment 6 Christian Hartmann 2010-03-04 08:21:04 UTC
This bug is also still in 2.2.90 from openSUSE repos
Comment 7 auxsvr 2010-03-04 10:24:00 UTC
Removing .kde4/share/apps/amarok/scripts makes the script manager work again. Afterwards, I reinstalled the scripts I deleted and everything works fine...
Comment 8 auxsvr 2010-03-04 10:45:43 UTC
I've isolated the script "rating statistics", which makes the script manager hang here.
Comment 9 Myriam Schweingruber 2010-03-04 12:01:48 UTC
(In reply to comment #8)
> I've isolated the script "rating statistics", which makes the script manager
> hang here.

Great news! Could you all please check to confirm that so we can close this report? Also do not forget to tell the author of the script :)
Comment 10 Wolfgang Klein 2010-03-04 12:23:31 UTC
This script is not installed on my machine but the problem still occurs.
Comment 11 Myriam Schweingruber 2010-03-04 12:56:43 UTC
Wolfgang, did you try removing all scripts as described in comment #7?
Comment 12 Wolfgang Klein 2010-03-04 14:18:22 UTC
Yes, I did. And I discovered the script that causes the problem on my system: it's "ultimate lyrics". When I uninstall it everything is ok, but as soon as I re-install this script, the trouble starts again.
Comment 13 Martin Höher 2010-03-04 15:32:34 UTC
I have the same problem here (using self-compiled Amarok from Git and previously Fedora 12 packages).

I also removed all scripts (with the result that everything works fine again), however as soon as I install more than two or three  additional scripts, the problem returns.

For testing, I've also written a little test script (just showed an alert) and installed it and it too seemed to cause this problem.
Comment 14 Myriam Schweingruber 2010-03-04 15:57:19 UTC
Good, at least we now have an idea what is the problem.
Comment 15 Myriam Schweingruber 2010-03-04 15:59:53 UTC
Changing priority.

Martin, could you please provide your example script?
Comment 16 Myriam Schweingruber 2010-03-04 16:03:32 UTC
Frederik, any ideas about this?
Comment 17 Martin Höher 2010-03-04 16:32:14 UTC
Created attachment 41329 [details]
Test script that simply displays a message in start up

Okay, here it is.

I also made another test:
Removed all scripts and installed the test script four times (with adjusted spec files). Same problem.
Comment 18 Wolfgang Klein 2010-03-04 16:44:02 UTC
If the problem is related to the number of scripts, that would be an explanation why it was a different script at my system that caused the problem. Actually I didn't test more than 4 script and I always installed "ultimate lyrics" in 4rd place and then and the trouble began. But you're right: I installed a different script in 4rd place this time and the system freezes again.
Comment 19 Dzikri Aziz 2010-03-05 18:08:49 UTC
I can confirm that installing 4th script hangs amarok (KDE SC 4.4.1, Amarok 2.2.2.90)
Comment 20 Tim 2010-03-16 19:13:57 UTC
I upgraded to amarok 2.3 and still have this problem!

Using on Kubuntu 9.10 64-bit
Comment 21 Christian Hartmann 2010-03-16 19:26:09 UTC
For me it got even worse with 2.3 and kde sc 4.4.1 on opensuse 11.2. I now can't close the window by clicking on the ok button, because the window freezes almost immediately.
Comment 22 Tim 2010-03-16 19:30:04 UTC
Further to this problem... I also was able to get the script manager working by deleting the amarok scripts in /.kde/share/apps/amarok/scripts. (One of the scripts was Ultimate Lyrics).  

This is a bit OT but, if Ultimate Lyrics is causing so many problems why is it still available for download?  I had huge problems with an icon style that I (and others) had downloaded from kde-look.org and it is still available.  At the very least it would be nice if these "problematic" files could be tagged with a warning... things like this cause me a lot of frustration.
Comment 23 Myriam Schweingruber 2010-03-16 20:15:08 UTC
(In reply to comment #22)
...
> This is a bit OT but, if Ultimate Lyrics is causing so many problems why is it
> still available for download?  I had huge problems with an icon style that I
> (and others) had downloaded from kde-look.org and it is still available.  At
> the very least it would be nice if these "problematic" files could be tagged
> with a warning... things like this cause me a lot of frustration.

We don't have any influence on 3rd-party scripts. AFAIK, UltimateLyrics is regularly updated by it's author, please get in touch with him about any issues.
Comment 24 ekpyrosis 2010-03-22 14:49:11 UTC
Same issue here
Amarok script manager freezes Amarok /  very slow. The only way to end the freeze is to kill the window Script manager and then I get the following KWIn error

The window "Script Manager – Amarok" is not responding. It belongs to the application amarok (Process ID = 13792, hostname = localhost).

Debug info is: 
amarok: END__: void ScanManager::slotFinished() - Took 0.00014s 
amarok: BEGIN: bool ScriptManager::slotInstallScript(const QString&) 
amarok(13792)/kio (bookmarks) KBookmarkManager::KBookmarkManager: starting KDirWatch for "/home/marc/.local/share//user-places.xbel"
amarok(13792)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("trash:/")


Removing all scripts does not improve performance or the freeze.

Other info
KUbuntu 9.10 64 bits
KDE 4.4.1
Amarok 2.3.0
Comment 25 Christian Hartmann 2010-03-30 20:51:57 UTC
Seems to be fixed with latest openSUSE repo builds on kde sc 4.4.2. At least it works for me at the moment.
Comment 26 Mark Kretschmann 2010-04-17 16:45:48 UTC
@Christian: Thanks for the feedback. My guess is also that the issue should be fixed with the latest Amarok from Git, and the latest KDE and Qt.

So I'm closing the report for now. If anyone can still reproduce the bug with these latest versions, please reopen the report (but don't reopen it with older versions, please).
Comment 27 Christian Hartmann 2010-06-01 18:51:46 UTC
It's still there in 2.3.1 on KDE SC 4.4.3. Perhaps it has something to do with some other package as it was gone for some time and came back without changing the amarok package (already with 2.3.0) on my system.
Comment 28 Beat Wolf 2010-06-01 19:07:16 UTC
i think i saw a message SOMEWHERE that suggested this is a QT 4.6 problem that is fixed in 4.7. And that other kde applications that use a certain component (tree?) are also affected.
Comment 29 Myriam Schweingruber 2010-06-02 10:28:58 UTC
Beat, we need a better source than SOMEWHERE, please do not guess...
Comment 30 Beat Wolf 2010-06-02 10:46:55 UTC
Found it:
https://bugs.kde.org/show_bug.cgi?id=238992
Comment 31 Miguel Tadeu 2010-06-02 19:24:59 UTC
Hi,
I was going to report the same problem, but I found something odd. I have kde4.4.4 and amarok 2.3.1. The think is amarok says it's using kde4.4.2, somehow...please tell me if it's normal or if it's using some older kde libraries
Comment 32 Myriam Schweingruber 2010-06-03 00:35:12 UTC
(In reply to comment #31)
> Hi,
> I was going to report the same problem, but I found something odd. I have
> kde4.4.4 and amarok 2.3.1. The think is amarok says it's using kde4.4.2,
> somehow...please tell me if it's normal or if it's using some older kde
> libraries

This only means it has been compiled against the 4.4.2 libraries, nothing wrong with that, it allows people running KDE SC 4.4.2 to install a newer version of Amarok. This is not relevant for a bug.
Comment 33 Evgeny Brazgin 2010-06-03 13:43:18 UTC
Have the same problem with Amarok 2.3.1 and KDE 4.4.3
Comment 34 Thomas Pfeiffer 2010-06-04 01:11:35 UTC
Problem persists with KDE 4.4.4 and Amarok 2.3.1
Comment 35 Patrick Callahan 2010-06-10 06:46:29 UTC
I've just done some thorough testing, and discovered some weird, weird behavior.



The first thing I noticed is that this bug doesn't only occur with the Script Manager dialog, but also the Internet Services dialog. I believe this is the same bug because it occurs under the same circumstances.



When one of those Amarok config dialogs (the ones with a list of large entries with checkboxes on the left, config and info buttons on the right) is of a size such that about half of the last entry is showing (and the other half must be accessed by scrolling, the UI freezes and CPU rises to full on one core. This occurs both when the dialog begins in such a state, and when it is manually resized to be so. It appears to me to occur about as soon as the checkbox part of the entry is showing.



Interestingly, if you take advantage of the few seconds of responsiveness you get when the dialog first opens to resize the window vertically, and wait several more seconds, it will return to normal/full responsiveness. You can also test this by opening up the Settings --> Configure Amarok dialog, using any tab besides Internet Services, and resizing the window. If it is normally small enough to cause the lockup, extending it will prevent it. If the issue normally does not occur, and you can sufficiently reduce the vertical size of the dialog before switching to the Internet Services tab, it will cause a hangup.



Installing more scripts, changing font sizes, and changing font DPI all affect how the list fills the available space, and whether or not the issue occurs.



On my system, forcing a font DPI of 120 on my 1920x1200 pixel 15.4" monitor causes the Internet Services list to be slightly longer than the available space when the config dialog opens. However, when I tested on a new user profile with default font settings, and my monitor's default font DPI, the Internet Services dialog was not sized so, and the hangup did not occur by default. However, in all cases, the hangup can be evoked by resizing either the Internet Services or Script Manager dialog, given a list of entries that comes out longer than the dialog window's minimum size.



I have no idea what the heck this tells us about the nature of the bug, but hopefully this information will help.

PS: Tested using Amarok 2.3.1 (apparently compiled against KDE 4.4.2) and KDE 4.4.4, with Qt 4.6.2.
Comment 36 Patrick Callahan 2010-06-10 07:35:06 UTC
I just poked through the Amarok source to find out what widget is used to contain the Script and Internet Services list, and found it's called a KPluginSelector. I Googled around for KPluginSelector bugs, and found one that causes the behavior I previously described. It even mentions Amarok in the title.

Should this bug be marked as a duplicate of the upstream bug?

Link here: https://bugs.kde.org/show_bug.cgi?id=213068
Comment 37 Myriam Schweingruber 2010-06-10 11:16:06 UTC
Patrick, thanks a lot, this is indeed a duplicate.

*** This bug has been marked as a duplicate of bug 213068 ***